stages:
  - deploy

Deployment:
  image: ruby:2.4
  stage: deploy
  only:
    refs:
      - master
  allow_failure: true
  before_script:
    - gem install dpl
    - wget -qO- https://cli-assets.heroku.com/install-ubuntu.sh | sh
  script:
    - dpl --provider=heroku --strategy=git --app=$HEROKU_APPNAME_STAGING --api-key=$HEROKU_APIKEY
  environment:
    name: staging
    url: $HEROKU_APP_HOST_STAGING
